Bug 991003 - Missing dependancy on libasan RPM
Missing dependancy on libasan RPM
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 07:42 EDT by Daniel Berrange
Modified: 2015-02-18 09:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:03:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2013-08-01 07:42:07 EDT
Description of problem:
Attempt to use the gcc '-fsanitize-address' flag and it complains about missing shared libraries.

Packages should have dependencies for all things they depend on, so there needs to be a 'Requires libasan' dep added to gcc.

Version-Release number of selected component (if applicable):
gcc-4.8.1-1.fc19.x86_64

How reproducible:
Always, if libasan RPM is missing

Steps to Reproduce:
1.$ gcc -fsanitize=address -O0 -g   demo.c 

Actual results:
/usr/bin/ld: cannot find /usr/lib64/libasan.so.0.0.0
collect2: error: ld returned 1 exit status


Expected results:
Compiles succesfully.

Additional info:
Comment 1 Jakub Jelinek 2013-08-12 14:20:16 EDT
This is intentional, forcing everybody to install all the optional gcc libraries when most of them will not be needed is not a good idea.
Comment 2 Daniel Berrange 2013-08-13 04:44:07 EDT
That is really not a benefit to users. Dependencies should not be dropped just because there are not many users of a feature. The libasan RPM is 170kb when installed, while only the 'gcc' RPM is 36 MB. Adding the dep on libasan adds a mere 0.4% to the default install size, even less if you consider the overhead of other packages needed to use gcc by default. So there is no meaningful space saving by dropping the dep, while at the same time you break the feature by default.
Comment 3 Pádraig Brady 2013-12-13 07:37:18 EST
+1 to adding this dep
Just noticed a build fail here
Comment 4 Björn 'besser82' Esser 2013-12-13 09:37:52 EST
+1 from me pov here, too.

Additional ~170 kbytes isn't that much compared to a total install-size of ~285 Mbytes (gcc + deps), actually.  Just about approx. half a promille.  ;)
Comment 5 Ralph Giles 2014-01-14 17:07:14 EST
I hit this today. I knew what to do, but it would have been nice not to have to.

I agree the footprint isn't a good justification for leaving out the dependency; this is a developer tool, after all. If you choose not to carry the dep, at least patch the option to prompt for a download so the user has some guidance.

Since there's an -static-libasan option, gcc also needs to depend on libasan-static.
Comment 6 Fedora End Of Life 2015-01-09 17:14:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-18 09:03:34 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.